---
defaultNamespace: services
helm:
  repo: https://kubernetes.github.io/ingress-nginx
  chart: ingress-nginx
  version: 4.0.3

# Issue with CRDs in this chart
targetCustomizations:
- name: dev
  helm:
    values:
      server:
        replicaCount: 1
  clusterSelector:
    matchLabels:
      env: dev

- name: test
  helm:
    values:
      controller:
        hostPort:
          enabled: true
        watchIngressWithoutClass: true
        ingressClassResource:
          default: true
        service:
          enabled: false
        config:
          log-format-escape-json: true
          log-format-upstream: '{"time": "$time_iso8601", "remote_addr": "$proxy_protocol_addr", "x_forwarded_for": "$proxy_add_x_forwarded_for", "request_id": "$req_id",
  "remote_user": "$remote_user", "bytes_sent": $bytes_sent, "request_time": $request_time, "status": $status, "vhost": "$host", "request_proto": "$server_protocol",
  "path": "$uri", "request_query": "$args", "request_length": $request_length, "duration": $request_time,"method": "$request_method", "http_referrer": "$http_referer",
  "http_user_agent": "$http_user_agent" }'

  clusterSelector:
    matchLabels:
      env: test

- name: prod
  helm:
    values:
      server:
        replicaCount: 3
  clusterSelector:
    matchLabels:
      env: prod
